Summary:       Mock hardware devices
Name:          umockdev
Version:       0.17.17
Release:       6%{?dist}
License:       LGPLv2+
URL:           https://github.com/martinpitt/%{name}
Source0:       %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

# 0.18.0: Fix build with meson 1.4, remove -Werror=unused-variable to build with meson 1.4
Patch0001:     fix-build-error-with-meson-1.4.patch 

BuildRequires: git meson gobject-introspection-devel glib2-devel
BuildRequires: libgudev1-devel systemd-devel libpcap-devel vala chrpath systemd-udev

%description
With this program and libraries you can easily create mock udev objects.  This is useful for writing
tests for software which talks to hardware devices.

%package devel
Summary: Development packages for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the libraries to develop using %{name}.

%prep
%autosetup -S git -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=false
%meson_build

%check
# fix test fail
export SLOW_TESTBED_FACTOR=10
%meson_test

%install
%meson_install

chrpath --delete %{buildroot}%{_bindir}/umockdev-record \
    %{buildroot}%{_bindir}/umockdev-run
chrpath --delete %{buildroot}%{_libdir}/libumockdev.so.*
chrpath --delete %{buildroot}%{_libdir}/libumockdev-preload.so.*

rm -rf %{buildroot}/%{_datadir}/doc/umockdev

%files
%license COPYING
%doc README.md
%{_bindir}/umockdev-*
%{_libdir}/libumockdev.so.*
%{_libdir}/libumockdev-preload.so*
%{_libdir}/girepository-1.0/UMockdev-1.0.typelib

%files devel
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py
%{_libdir}/libumockdev.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-1.0.gir
%{_includedir}/umockdev-1.0
%{_datadir}/vala/vapi/umockdev-1.0.vapi

%changelog
* Thu Mar 27 2025 Zhao Zhen <jeremiazhao@tencent.com> - 0.17.17-6
- rebuild and sync to tencentos4 and opencloudos9

* Mon Mar 24 2025 rockerzhu <rockerzhu@tencent.com> - 0.17.17-5
- Remove -Werror=unused-variable to build with meson 1.4.

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.17-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.17-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.17-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 0.17.17-1
- Upgrade to 0.17.17

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.16-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 15 2023 Shuo Wang <abushwang@tencent.com> - 0.17.16-1
- initial build
